In this section
On this page
Perform a search
GET /api/v1/searchSearch for recipes and preparations matching the given query string. Optionally filter by type, by a comma-separated list of tags, by account username, or by a comma-separated list of language codes. Results rank by relevance by default. You can also order them by creation or update date.
Required Scopes
read
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
query |
query | no | string | |
type |
query | no | string | |
tags |
query | no | string | |
account |
query | no | string | |
lang |
query | no | string | |
sort |
query | no | string | Sort order. relevance ranks by match quality (or creation date when there is no query). created and updated sort by creation and last update date, newest first. |
Request Body
None.
Responses
200
search query
Schema: array[object]
| Field | Type | Required | Description |
|---|---|---|---|
type |
string | yes | |
data |
object | yes |
422
invalid sort
Next
Retrieve the user
